Bug 13759 - sambaundoguididx fails with escaped ldb filenames
sambaundoguididx fails with escaped ldb filenames
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-23 13:07 UTC by Björn Jacke
Modified: 2019-03-12 09:27 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch cherry-picked from master for 4.10, 4.9 and 4.8 (1.29 KB, patch)
2019-02-21 11:17 UTC, Karolin Seeger
bjacke: review+
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2019-01-23 13:07:50 UTC
sambaundoguididx generates an exmpty (unescaped) new SCHEMA ldb file when the original filename one was escaped. The script fails to work claiming the message "a transaction is still active in ldb context".

Patch to follow
Comment 1 Björn Jacke 2019-02-19 09:55:45 UTC
fixed in master with cd1ac3668cd164bd5f7cadf7b59df9541aaef83e - should probably be cherry-picked to all the supported release branches also, assigning to Karolin for that.
Comment 2 Karolin Seeger 2019-02-21 11:17:45 UTC
Created attachment 14860 [details]
Proposed patch cherry-picked from master for 4.10, 4.9 and 4.8
Comment 3 Karolin Seeger 2019-03-11 07:49:02 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to autobuild-v4-{10,9,8}-test.
Comment 4 Karolin Seeger 2019-03-12 09:27:22 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!